require 'test/unit'
require_relative 'lib/arrow_test'

class ArrowTestTest < Test::Unit::TestCase
  def test_empty
    assert(helper_arrow_test(['1 # -> 1']) == [], 'Empty is returned for no fails.')
  end
  
  def test_wrong_math
    result = ["ERROR:\n        EXECUTING: 1  + 1\n        EXPECTED: 3\n        INSTEAD GOT: 2\n\n\n"]
    assert(helper_arrow_test(['1  + 1 # -> 3']) == result, 'Wrong math is reported.')
  end
  
  def test_verbose_output
    result = ["CORRECT:\n        EXECUTING: 1\n        REALLY_IS: 1\n\n\n"]
    assert(helper_arrow_test(['1 # -> 1'], verbose=true) == result, "Verbose returns also correct expressions")
  end
  
  def test_thick_line_with_spaces
    assert(helper_arrow_test(['1 #   => 1']) == [], 'Thick line also works.')
  end
  
  def test_beggining_comment
    assert(helper_arrow_test(['# 1+1 #-> 2']) == [], 'Begging comment is removed')
  end
end

